*:*****************************************************************************
*:
*:        Program: WAITHERM.PRG
*:
*:         System: 
*:         Author: Developed by Dave McMurrain
*:						 Enhanced by Richard A. Druckenmiller
*:      Copyright (c) 1993, Richard A. Druckenmiller
*:  Last modified: 01/11/93     23:37
*:
*:          Calls: FLOOR()
*:               : PADR()
*:               : REPLICATE()
*:               : STR()
*:
*:      Documented 01/11/93                        FoxDoc  version 2.10e
*:*****************************************************************************
* WAITHERM.PRG - Wait Thermometer
* Enhanced by Richard Druckenmiller
* What program does:  Displays a thermometer in wait window with the % done
*           signifying the progress of a process such as a report or query
* Parameters:  lnTotRecs  - Amount of total records in process
*					lcDispText - Display text
* How to call:  REPORT FORM Customer TO PRIN FOR WAITHERM(RECNO(), ;
   *                   RECCOUNT(), 'Printing: ')
* Return Value:  Always .T.

* ==========================================================================
parameters tnnumerator, tndenominator, tcdisptext
m.lnpctdone = floor((tnnumerator / tndenominator) * 100)
wait window nowait lcdisptext + ' ' + padr(replicate('', ;
   m.lnpctdone/2),50,'')+' '+str(m.lnpctdone,3)+'%'
return .t.


*: EOF: WAITHERM.PRG
