*:*****************************************************************************
*:
*:        Program: WAITTTAP.PRG
*:
*:         System: 
*:         Author: Richard A. Druckenmiller
*:      Copyright (c) 1993, Richard A. Druckenmiller
*:  Last modified: 01/11/93     23:32
*:
*:          Calls: SET()
*:               : ALLTRIM()
*:               : LEN()
*:               : SECONDS()
*:               : SUBSTR()
*:               : LEFT()
*:               : INKEY()
*:
*:      Documented 01/11/93                        FoxDoc  version 2.10e
*:*****************************************************************************
* WAITTTAP.PRG - Wait Ticker Tape
* What program does:  Displays text sent in a ticker tape fashion from to
*        right to left until any key is pressed.  Same as a WAIT WINDOW
*        'Text' except the text is displayed in a ticker tape form.
* How to call:  =WAITTTAP('Press Any Key to Continue . . .')
* Parameters:  lcDispText - Text to Display
* Return Value:  None
* ==========================================================================
parameters lcdisptext
private all like l*

if set('TALK') = 'ON'  		&& TALK handled as a special case.
   set talk off       	   && Turn TALK OFF
   lesavetalk = 'ON'       && TALK was ON, save the setting
else   && TALK is OFF
   lesavetalk = 'OFF'      && TALK was OFF, save the setting
endif
lesavecurs = set('CURSOR')
set cursor off

lcdisptext = alltrim(lcdisptext)
lltimetoquit = .f.
do while not lltimetoquit
   for i = 1 to len(lcdisptext)
      lnsecsnow = seconds()
*     Slow down processor
*     DO WHILE SECONDS() <= lnSecsNow + 0.0625   
*  	ENDDO
      wait window nowait substr(lcdisptext, i) + '  ' + ;
         left(lcdisptext, i - 1)
*     Slow down processor if you want to here as wel
*    	DO WHILE i = 1 AND SECONDS() <= lnSecsNow + 1
*	   ENDDO
      if inkey('M') # 0
         lltimetoquit = .t.
         exit
      endif
   endfor
enddo

set cursor &lesavecurs
set talk &lesavetalk

return
*: EOF: WAITTTAP.PRG
